OpenCV: cv::cuda::BackgroundSubtractorGMG Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::cuda::BackgroundSubtractorGMG Class Referenceabstract
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Legacy support

Background/Foreground Segmentation Algorithm. More...

`#include "cudalegacy.hpp"`

Inheritance diagram for cv::cuda::BackgroundSubtractorGMG:

## Public Member Functions
virtual void | apply (InputArray image, OutputArray fgmask, double learningRate, Stream &stream)=0
virtual double | getBackgroundPrior () const =0
virtual double | getDecisionThreshold () const =0
virtual double | getDefaultLearningRate () const =0
virtual int | getMaxFeatures () const =0
virtual double | getMaxVal () const =0
virtual double | getMinVal () const =0
virtual int | getNumFrames () const =0
virtual int | getQuantizationLevels () const =0
virtual int | getSmoothingRadius () const =0
virtual bool | getUpdateBackgroundModel () const =0
virtual void | setBackgroundPrior (double bgprior)=0
virtual void | setDecisionThreshold (double thresh)=0
virtual void | setDefaultLearningRate (double lr)=0
virtual void | setMaxFeatures (int maxFeatures)=0
virtual void | setMaxVal (double val)=0
virtual void | setMinVal (double val)=0
virtual void | setNumFrames (int nframes)=0
virtual void | setQuantizationLevels (int nlevels)=0
virtual void | setSmoothingRadius (int radius)=0
virtual void | setUpdateBackgroundModel (bool update)=0
Public Member Functions inherited from cv::BackgroundSubtractor
virtual void | apply (InputArray image, OutputArray fgmask, double learningRate=-1)=0
| Computes a foreground mask. More...
virtual void | getBackgroundImage (OutputArray backgroundImage) const =0
| Computes a background image. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Background/Foreground Segmentation Algorithm.

The class discriminates between foreground and background pixels by building and maintaining a model of the background. Any pixel which does not fit this model is then deemed to be foreground. The class implements algorithm described in [35] .

## Member Function Documentation

## ◆ apply()

virtual void cv::cuda::BackgroundSubtractorGMG::apply | ( | InputArray | image,
|  | OutputArray | fgmask,
|  | double | learningRate,
|  | Stream & | stream
| ) |  |
| pure virtual

## ◆ getBackgroundPrior()

virtual double cv::cuda::BackgroundSubtractorGMG::getBackgroundPrior | ( |  | ) | const
| pure virtual

## ◆ getDecisionThreshold()

virtual double cv::cuda::BackgroundSubtractorGMG::getDecisionThreshold | ( |  | ) | const
| pure virtual

## ◆ getDefaultLearningRate()

virtual double cv::cuda::BackgroundSubtractorGMG::getDefaultLearningRate | ( |  | ) | const
| pure virtual

## ◆ getMaxFeatures()

virtual int cv::cuda::BackgroundSubtractorGMG::getMaxFeatures | ( |  | ) | const
| pure virtual

## ◆ getMaxVal()

virtual double cv::cuda::BackgroundSubtractorGMG::getMaxVal | ( |  | ) | const
| pure virtual

## ◆ getMinVal()

virtual double cv::cuda::BackgroundSubtractorGMG::getMinVal | ( |  | ) | const
| pure virtual

## ◆ getNumFrames()

virtual int cv::cuda::BackgroundSubtractorGMG::getNumFrames | ( |  | ) | const
| pure virtual

## ◆ getQuantizationLevels()

virtual int cv::cuda::BackgroundSubtractorGMG::getQuantizationLevels | ( |  | ) | const
| pure virtual

## ◆ getSmoothingRadius()

virtual int cv::cuda::BackgroundSubtractorGMG::getSmoothingRadius | ( |  | ) | const
| pure virtual

## ◆ getUpdateBackgroundModel()

virtual bool cv::cuda::BackgroundSubtractorGMG::getUpdateBackgroundModel | ( |  | ) | const
| pure virtual

## ◆ setBackgroundPrior()

virtual void cv::cuda::BackgroundSubtractorGMG::setBackgroundPrior | ( | double | bgprior | ) |
| pure virtual

## ◆ setDecisionThreshold()

virtual void cv::cuda::BackgroundSubtractorGMG::setDecisionThreshold | ( | double | thresh | ) |
| pure virtual

## ◆ setDefaultLearningRate()

virtual void cv::cuda::BackgroundSubtractorGMG::setDefaultLearningRate | ( | double | lr | ) |
| pure virtual

## ◆ setMaxFeatures()

virtual void cv::cuda::BackgroundSubtractorGMG::setMaxFeatures | ( | int | maxFeatures | ) |
| pure virtual

## ◆ setMaxVal()

virtual void cv::cuda::BackgroundSubtractorGMG::setMaxVal | ( | double | val | ) |
| pure virtual

## ◆ setMinVal()

virtual void cv::cuda::BackgroundSubtractorGMG::setMinVal | ( | double | val | ) |
| pure virtual

## ◆ setNumFrames()

virtual void cv::cuda::BackgroundSubtractorGMG::setNumFrames | ( | int | nframes | ) |
| pure virtual

## ◆ setQuantizationLevels()

virtual void cv::cuda::BackgroundSubtractorGMG::setQuantizationLevels | ( | int | nlevels | ) |
| pure virtual

## ◆ setSmoothingRadius()

virtual void cv::cuda::BackgroundSubtractorGMG::setSmoothingRadius | ( | int | radius | ) |
| pure virtual

## ◆ setUpdateBackgroundModel()

virtual void cv::cuda::BackgroundSubtractorGMG::setUpdateBackgroundModel | ( | bool | update | ) |
| pure virtual

The documentation for this class was generated from the following file:

- cudalegacy/include/opencv2/cudalegacy.hpp